## Class TPagedListPageChangedEventParameter

Description

TPagedListPageChangedEventParameter class.

TPagedListPageChangedEventParameter is used as the parameter for TPagedList::onPageChanged event. To obtain the page index before it was changed, use OldPageIndex.

- since: 3.0
- version: $Id: TPagedList.php 1980 2007-05-30 23:27:00Z knut $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Collections/TPagedList.php (line 379)

    TComponent
       |
       --TEventParameter
          |
          --TPagedListPageChangedEventParameter

Method Summary
TPagedListPageChangedEventParameter __construct (integer $oldPage)
integer getOldPageIndex ()
Methods
Constructor __construct (line 387)

Constructor.

- access: public

TPagedListPageChangedEventParameter __construct (integer $oldPage)

- integer $oldPage: old page index

getOldPageIndex (line 395)

- return: the index of the page before the list changed to the new page
- access: public

integer getOldPageIndex ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:47 -0400 by phpDocumentor 1.3.0RC4